<?php
 
use Carbon\Carbon;
use WHMCS\View\Menu\Item as MenuItem;
 
// Add a helpful support hours notice to the top of the sidebar on the submit
// ticket page.
if (App::getCurrentFilename() == 'submitticket') {
    add_hook('ClientAreaPrimarySidebar', 1, function (MenuItem $primarySidebar) 
    {
        // Create the support hours panel and make sure it's the first one
        // displayed.
        /** @var MenuItem $supportHours */
        $supportHours = $primarySidebar->addChild('Horário de Atendimento');
        $supportHours->moveToFront();
 
        // Add hours to the panel.
        $supportHours->addChild(
            '<strong>Disponível</strong> 08:00h-17:00h',
            array(
                'icon'  => 'fa-smile-o',
                'order' => 1,
            )
        );
        $supportHours->addChild(
            '<strong>Indisponível</strong> Finais de Semana',
            array(
                'icon'  => 'fa-frown-o',
                'order' => 2,
            )
        );
 
        // Add a custom notice to the support hours panel with the logged in
        // client's first name and a different message depending on whether
        // support is open.
        /** @var \WHMCS\User\Client $client */
        $client = Menu::context('client');
        $greeting = is_null($client)
            ? ''
            : ", <strong>{$client->firstName}</strong>";
 
        $now = Carbon::now();
        $supportIsOpen = $now->isWeekday()
            && $now->hour >= 8
            && $now->hour <= 17;
 
		$supportHours->setBodyHtml(
            $supportIsOpen
                ? "Olá {$greeting}! Estamos diponíveis para responder seu ticket!"
                : "Não se preocupe {$greeting}! Vamos responder seu ticket no próximo dia útil!"
        );
    });
}